Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161657 - iscsi_sfnet driver does not calculate ConnFailTimeout correctly when greater than 15 secs
Summary: iscsi_sfnet driver does not calculate ConnFailTimeout correctly when greater ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike Christie
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 156320
TreeView+ depends on / blocked
 
Reported: 2005-06-24 23:25 UTC by Mike Christie
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version: RHSA-2005-663
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-28 15:25:30 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:663 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 6 2005-09-28 04:00:00 UTC

Description Mike Christie 2005-06-24 23:25:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
For linux-iscsi (drivers/addon/iscsi_sfnet) it appears that if you set the ConnFailTimeout to any time setting then 15 seconds then an additional 50 seconds is added before I/O failover occurs. If your ConnFailTimeout is equal < 15 seconds then the I/O failover occurs based on the timer.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. set ConnFailTimeout > 15 seconds
2.
3.
  

Actual Results:  ConnFailTimeout is x + 50 seconds

Expected Results:  ConnFailTimeout should be x seconds

Additional info:

Comment 3 Mike Christie 2005-06-27 22:39:36 UTC
Updating "Steps to reproduce"

1. set ConnFailTimeout > 15 seconds in iscsi.conf file
2. setup iscsi (run iscsid).
3. unplug network cable (leave unplugged).
4. verify that the log msg from this printk

                printk("iSCSI: session %p replacement timed after %d seconds, "
                       "drop %lu, now %lu, failing all commands\n",
                       session, replacement_timeout, session->session_drop_time,
                      jiffies);

comes after ConnFailTimeout seconds set in iscsi.conf, not ConnFailTimeout + 50
secsonds.

Comment 4 Ernie Petrides 2005-07-13 23:37:38 UTC
A fix for this problem has just been committed to the RHEL3 U6
patch pool this evening (in kernel version 2.4.21-32.11.EL).


Comment 8 Red Hat Bugzilla 2005-09-28 15:25:30 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-663.html



Note You need to log in before you can comment on or make changes to this bug.